qmf::engine::SchemaProperty Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qmf::engine::SchemaProperty Class Reference

`#include <qmf/engine/Schema.h>`

List of all members.

## Public Member Functions
| SchemaProperty (const char *name, Typecode typecode)
| SchemaProperty (const SchemaProperty &from)
| ~SchemaProperty ()
void | setAccess (Access access)
void | setIndex (bool val)
void | setOptional (bool val)
void | setUnit (const char *val)
void | setDesc (const char *desc)
const char * | getName () const
Typecode | getType () const
Access | getAccess () const
bool | isIndex () const
bool | isOptional () const
const char * | getUnit () const
const char * | getDesc () const

## Constructor & Destructor Documentation

qmf::engine::SchemaProperty::SchemaProperty | ( | const char * | name,
|  | Typecode | typecode
| ) |  |

qmf::engine::SchemaProperty::SchemaProperty | ( | const SchemaProperty & | from | ) |

qmf::engine::SchemaProperty::~SchemaProperty | ( |  | ) |

## Member Function Documentation

Access qmf::engine::SchemaProperty::getAccess | ( |  | ) | const

const char* qmf::engine::SchemaProperty::getDesc | ( |  | ) | const

const char* qmf::engine::SchemaProperty::getName | ( |  | ) | const

Typecode qmf::engine::SchemaProperty::getType | ( |  | ) | const

const char* qmf::engine::SchemaProperty::getUnit | ( |  | ) | const

bool qmf::engine::SchemaProperty::isIndex | ( |  | ) | const

bool qmf::engine::SchemaProperty::isOptional | ( |  | ) | const

void qmf::engine::SchemaProperty::setAccess | ( | Access | access | ) |

void qmf::engine::SchemaProperty::setDesc | ( | const char * | desc | ) |

void qmf::engine::SchemaProperty::setIndex | ( | bool | val | ) |

void qmf::engine::SchemaProperty::setOptional | ( | bool | val | ) |

void qmf::engine::SchemaProperty::setUnit | ( | const char * | val | ) |

The documentation for this class was generated from the following file:

- qmf/engine/Schema.h